Package org.opensaml.saml.common.messaging.context

# Class ChannelBindingsContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.ChannelBindingsContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class ChannelBindingsContext extends BaseContext
Context, usually attached to a `MessageContext` that carries a collection of `ChannelBindings` objects supplied with a message.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Collection<ChannelBindings>`
`channelBindings`
The set of ChannelBindings.

## Constructor Summary

Constructors
Constructor
Description
`ChannelBindingsContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<ChannelBindings>`
`getChannelBindings()`
Get the channel bindings.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### channelBindings

@Nonnull private Collection<ChannelBindings> channelBindings
The set of ChannelBindings.

## Constructor Details

### ChannelBindingsContext

public ChannelBindingsContext()
Constructor.

## Method Details

### getChannelBindings

@Nonnull @Live public Collection<ChannelBindings> getChannelBindings()
Get the channel bindings.

Returns:
  the channel bindings